Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Video::RenderState

struct Nes::Api::Video::RenderState

Render state context.

Inner Classes, Typedefs, and Enums
`struct` | `Nes::Api::Video::RenderState::Bits` Pixel context.
`enum` | `Nes::Api::Video::RenderState::Filter` Video Filter.
`enum` | `Nes::Api::Video::RenderState::Scale` Scale factors.

Field Summary
`Nes::Api::Video::RenderState::Bits` | `bits` Pixel context.
`Nes::Api::Video::RenderState::Filter` | `filter` Filter.
`ushort` | `height` Screen height.
`ushort` | `width` Screen width.

Constructor Summary
`RenderState()`

Field Detail

### bits

    public Nes::Api::Video::RenderState::Bits bits;

  Pixel context.

### filter

    public Nes::Api::Video::RenderState::Filter filter;

  Filter.

### height

    public ushort height;

  Screen height.

### width

    public ushort width;

  Screen width.

Constructor Detail

### RenderState

    public RenderState() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD